'use client';
import { useState } from 'react';
import { BuildupdateForm } from '@/pages/builds/update/form';
import { useSearchParams, useRouter } from 'next/navigation'
import { Button } from '@/components/ui/button';
import { BuildDataTableUpdate } from './table/data-table';
import { useGraphQlBuildsList } from '../queries';

const PageUpdateBuild = () => {
    const [page, setPage] = useState(1);
    const [limit, setLimit] = useState(10);
    const [sort, setSort] = useState({ createdAt: 'desc' });
    const [filters, setFilters] = useState({});
    const searchParams = useSearchParams()
    const router = useRouter()
    const uuid = searchParams?.get('uuid') || null
    const backToBuildAddress = <>
        <div>UUID not found in search params</div>
        <Button onClick={() => router.push('/builds')}>Back to Build</Button>
    </>
    if (!uuid) { return backToBuildAddress }
    const { data, isLoading, error, refetch } = useGraphQlBuildsList({ limit, skip: (page - 1) * limit, sort, filters: { ...filters, _id: uuid } });
    const initData = data?.data?.[0] || null;
    if (!initData) { return backToBuildAddress }
    return (
        <>
            <BuildDataTableUpdate
                data={data?.data || []} totalCount={data?.totalCount || 0} currentPage={page} pageSize={limit}
                onPageChange={setPage} onPageSizeChange={setLimit} refetchTable={refetch}
            />
            <BuildupdateForm refetchTable={refetch} initData={initData} selectedUuid={uuid} />
        </>
    )
}

export { PageUpdateBuild };
